searchNodes=[{"ref":"Kalman.html","title":"Kalman","type":"module","doc":"Implements the Kalman Filter as filter/1. filter/1 is meant to be used recursively"},{"ref":"Kalman.html#filter/1","title":"Kalman.filter/1","type":"function","doc":"filter/1 takes a tuple {measurement, current_state_estimate, current_prop_estimate}, applies the prediction step, observation step and update step of the Kalman Filter. It then returns the updated values in a map on the form %{current_state_estimate: current_state_estimate, current_prop_estimate: current_prop_estimate}. The returned map can then be used with a new measured value, recursively. Examples iex&gt; l = [-77, -76, -63, -74, -66, -75, -77, -63, -77, -63] iex&gt; Enum.scan(l, %{current_prop_estimate: 1, current_state_estimate: -55}, fn measurement, %{current_prop_estimate: cpe, current_state_estimate: cse} -&gt; Kalman.estimate({measurement, cse, cpe}) end) [%{current_prop_estimate: 0.5012468827930174, current_state_estimate: -66.02743142144638}, %{current_prop_estimate: 0.33609821110752397, current_state_estimate: -69.37919388084535}, %{current_prop_estimate: 0.25434245477505607, current_state_estimate: -67.75669404970513}, %{current_prop_estimate: 0.20593481446742765, current_state_estimate: -69.04240810224249}, %{current_prop_estimate: 0.17419171696719063, current_state_estimate: -68.51244581119798}, %{current_prop_estimate: 0.15196147868818213, current_state_estimate: -69.49830413879805}, %{current_prop_estimate: 0.1356669876910271, current_state_estimate: -70.51603661886156}, %{current_prop_estimate: 0.12331994281325659, current_state_estimate: -69.58915941284121}, %{current_prop_estimate: 0.1137265574632268, current_state_estimate: -70.43196880072755}, %{current_prop_estimate: 0.10612652097260095, current_state_estimate: -69.64323980792942}]"},{"ref":"readme.html","title":"Kalman","type":"extras","doc":"Kalman This Module comes with no guarantee, what so ever. Filter raw data (often from sensors)."},{"ref":"readme.html#what-is-the-kalman-filter","title":"Kalman - What is the Kalman filter?","type":"extras","doc":"In statistics and control theory, Kalman filtering, also known as linear quadratic estimation (LQE), is an algorithm that uses a series of measurements observed over time, containing statistical noise and other inaccuracies, and produces estimates of unknown variables that tend to be more accurate than those based on a single measurement alone, by estimating a joint probability distribution over the variables for each timeframe. https://en.wikipedia.org/wiki/Kalman_filter"},{"ref":"readme.html#inspiration","title":"Kalman - Inspiration","type":"extras","doc":"This implementation is inspired by Lachlan Blackhall&#39;s Python implementation: https://github.com/lblackhall/pyconau2016/blob/master/kalman.py Watch his Pycon Australia talk for a good, easy-to-digets introduction to the Kalman filter: https://www.youtube.com/watch?v=VBfqrTOL6z0"},{"ref":"readme.html#installation","title":"Kalman - Installation","type":"extras","doc":"The package can be installed by adding kalman to your list of dependencies in mix.exs: def deps do [ {:kalman, &quot;~&gt; 0.1.0&quot;} ] end"}]